
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2057

Determine while lab result sometimes turns to no clinical review

08/16/2016 12:12 PM - Oleksii Kurasov

Status: Closed Start date: 08/16/2016

Priority: Immediate Due date: 08/17/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Determine while lab result sometimes turns to no clinical review

History

#1 - 08/16/2016 12:12 PM - Oleksii Kurasov

- Due date changed from 08/16/2016 to 08/17/2016

#2 - 08/22/2016 02:53 AM - Oleksii Kurasov

- Status changed from New to Closed
